	SECTION Add20,Code

s:	move.l	$4.w,a6
	move.l	(a6),a4
	move.l	(a4),a4	;a4=graphbase
	move.l	(a4),a5
	move.l	(a5),a5	;a5=intubase

	move.l	$0022(a4),a0
	move.l	(a0),a0
	move.l	$0024(a0),a0
	move.l	4(a0),a0
	subq.b	#1,5(a0)
	move.w	2(a0),d0
	mulu	(a0),d0
	move.l	12(a0),a1
	jsr	-$00d2(a6)
	move.l	a5,a6
	jsr	-384(a6)	;remake display
	moveq.l	#0,d0
	rts	
 
